<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted Access');

JHTML::_('behavior.mootools'); 
JHTML::script('mootree.js','media/system/js/');
JHTML::stylesheet('mootree.css','media/system/css/');

$mootree_url=JURI::root(true).'/media/com_n3ttemplate/mootree/';
$eName	= JRequest::getVar('e_name');
$eName	= preg_replace( '#[^A-Z0-9\-\_\[\]]#i', '', $eName );
?>
<script language="javascript" type="text/javascript">

var tree;
var MooToolsMajor, MooToolsMinor, MooToolsRelease;
[MooToolsMajor, MooToolsMinor, MooToolsRelease]=MooTools.version.split('.');

function insertTemplate()
{	
  if (tree.selected && tree.selected.data.template) {
    if (MooToolsMinor == '1') {
      new Ajax('<?php echo JURI::base(); ?>index.php?option=com_n3ttemplate&view=button&task=template&id='+tree.selected.data.template, {
       method : 'get',
       onComplete : function(response) {
         window.parent.jInsertEditorText(response, '<?php echo $eName; ?>');
         window.parent.SqueezeBox.close();
       }
      }).request();
    } else {
      new Request({
       method : 'get',
       url: '<?php echo JURI::base(); ?>index.php',
       data: {'option': 'com_n3ttemplate',
        'view': 'button',
        'task': 'template',
        'id': tree.selected.data.template
       },
       onComplete : function(response) {
         window.parent.jInsertEditorText(response, '<?php echo $eName; ?>');
         window.parent.SqueezeBox.close();
       }
      }).send();
    }
	}
	return false;
}
			
window.addEvent('domready', function() {
  tree = new MooTreeControl({
    div: 'n3tTemplateTree',
    mode: 'files',
    grid: true,
    theme: '<?php echo $mootree_url; ?>theme.gif',
<?php if ($this->params->get( 'show_preview', 1 )) { ?>
    onSelect: function(node, state) {
      if (state && node.data.template) {
         $('n3tTemplatePreview').setProperty('src', '<?php echo JURI::base(); ?>index.php?option=com_n3ttemplate&view=button&task=preview&tmpl=component&id='+node.data.template); 
      }
    },
<?php } ?>    
    loader: {icon:'<?php echo $mootree_url; ?>loader.gif', text:'<?php echo JText::_('COM_N3TTEMPLATE_LOADING'); ?>', color:'#a0a0a0'}    
  },{
    text: '<?php echo JText::_('COM_N3TTEMPLATE_TEMPLATES'); ?>',
    open: true
  });
  
  tree.root.load('<?php echo JURI::base(); ?>index.php?option=com_n3ttemplate&view=button&format=xml');			
});
</script>  
<div id="n3tTemplateWrapper">
  <div id="n3tTemplateButtons">
    <button onclick="insertTemplate();"><?php echo JText::_( 'COM_N3TTEMPLATE_INSERT_TEMPLATE' ); ?></button> 
  </div>
  <div id="n3tTemplateTree"<?php echo $this->params->get( 'show_preview', 1 ) ? '' : ' class="n3tTemplateTreeFull"'; ?>>
  </div>
  <?php if ($this->params->get( 'show_preview', 1 )) { ?>
  <iframe id="n3tTemplatePreview"></iframe>
  <?php } ?>
</div>