<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2011 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );


class plgButtonN3tTemplate extends JPlugin
{

	function plgButtonN3tTemplate(& $subject, $config)
	{
		parent::__construct($subject, $config); 		
	}

	function onDisplay($name)
	{
	  JPlugin::loadLanguage('plg_editors-xtd_n3ttemplate', JPATH_ADMINISTRATOR);    
      
		$doc=& JFactory::getDocument();		
    $css = '.button2-left .n3ttemplate a {padding: 0 24px 0 6px !important; background: url("/media/com_n3ttemplate/images/icon-16-n3ttemplate.png") no-repeat scroll right transparent;}'."\n";
    $css.= '.button2-left .n3ttemplate {padding-right: 6px;}'."\n";
    $doc->addStyleDeclaration($css);
     
		JHTML::_('behavior.modal');
    $link = 'index.php?option=com_n3ttemplate&amp;view=button&amp;tmpl=component&amp;e_name='.$name;
    
		$button = new JObject();
		$button->set('modal', true);
		$button->set('link', $link);
		$button->set('text', JText::_('PLG_EDITOR_XTD_N3TTEMPLATE_TEMPLATES'));
		$button->set('name', 'n3ttemplate blank');
		$button->set('options', "{handler: 'iframe', size: {x: 570, y: 400}}");

		return $button;
	}
}